package com.capgemini.pool;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.commons.pool.PoolableObjectFactory;
import org.apache.commons.pool.impl.GenericObjectPool;

/**
 * @author Jettro Coenradie
 *
 * 
 */
public class SampleObjectPool extends GenericObjectPool {
	private final static Log log = LogFactory.getLog(SampleObjectPool.class);
	
	
	/**
	 * Constructor
	 * @param factory
	 */
	public SampleObjectPool(PoolableObjectFactory factory) {
		super(factory);
		log.debug("New pool created with factory ...");
	}

	/**
	 * Constructor
	 * @param factory
	 * @param config
	 */
	public SampleObjectPool(PoolableObjectFactory factory, Config config) {
		super(factory, config);
		log.debug("New pool created with factory and config ...");
	}
	
	/* (non-Javadoc)
	 * @see org.apache.commons.pool.ObjectPool#addObject()
	 */
	public void addObject() throws Exception {
		log.debug("Add an object ...");
		super.addObject();
	}
	/* (non-Javadoc)
	 * @see org.apache.commons.pool.ObjectPool#borrowObject()
	 */
	public Object borrowObject() throws Exception {
		log.debug("Borrow an object ...");
		return super.borrowObject();
	}
	/* (non-Javadoc)
	 * @see org.apache.commons.pool.ObjectPool#invalidateObject(java.lang.Object)
	 */
	public void invalidateObject(Object obj) throws Exception {
		log.debug("Invalidate an object ...");
		super.invalidateObject(obj);
	}
	/* (non-Javadoc)
	 * @see org.apache.commons.pool.ObjectPool#returnObject(java.lang.Object)
	 */
	public void returnObject(Object obj) throws Exception {
		log.debug("Return an object ...");
		super.returnObject(obj);
	}
}
