package com.capgemini.pool;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.commons.pool.PoolableObjectFactory;

/**
 * @author Jettro Coenradie
 *
 * 
 */
public class SamplePoolableObjectFactory implements PoolableObjectFactory {
	private final static Log log = LogFactory.getLog(SamplePoolableObjectFactory.class);
	
	/* (non-Javadoc)
	 * @see org.apache.commons.pool.PoolableObjectFactory#activateObject(java.lang.Object)
	 */
	public void activateObject(Object obj) throws Exception {
		log.debug("Activate object ..." + obj.hashCode());
	}
	/* (non-Javadoc)
	 * @see org.apache.commons.pool.PoolableObjectFactory#destroyObject(java.lang.Object)
	 */
	public void destroyObject(Object obj) throws Exception {
		log.debug("Destroy object ..." + obj.hashCode());
		obj = null;
	}
	/* (non-Javadoc)
	 * @see org.apache.commons.pool.PoolableObjectFactory#makeObject()
	 */
	public Object makeObject() throws Exception {
		Object obj = new Object();
		log.debug("Make object ..." + obj.hashCode());
		return obj;
	}
	/* (non-Javadoc)
	 * @see org.apache.commons.pool.PoolableObjectFactory#passivateObject(java.lang.Object)
	 */
	public void passivateObject(Object obj) throws Exception {
		log.debug("Passivate object ..." + obj.hashCode());

	}
	/* (non-Javadoc)
	 * @see org.apache.commons.pool.PoolableObjectFactory#validateObject(java.lang.Object)
	 */
	public boolean validateObject(Object obj) {
		log.debug("Validate object ..." + obj.hashCode());
		return false;
	}
}
